Skip to main content
`Ctrl`+`K`

# scipy.special.eval_chebyt

scipy.special.eval_chebyt(n, x, out=None) = <ufunc 'eval_chebyt'>

  Evaluate Chebyshev polynomial of the first kind at a point.

  The Chebyshev polynomials of the first kind can be defined via the Gauss hypergeometric function \({}_2F_1\) as

  \[T_n(x) = {}_2F_1(n, -n; 1/2; (1 - x)/2).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\). See 22.5.47 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the result is determined via the relation to the Gauss hypergeometric function.

    x array_like

      Points at which to evaluate the Chebyshev polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    T scalar or ndarray

      Values of the Chebyshev polynomial

  See also

  `roots_chebyt`

    roots and quadrature weights of Chebyshev polynomials of the first kind

  `chebyu`

    Chebychev polynomial object

  `eval_chebyu`

    evaluate Chebyshev polynomials of the second kind

  `hyp2f1`

    Gauss hypergeometric function

  `numpy.polynomial.chebyshev.Chebyshev`

    Chebyshev series

  Notes

  This routine is numerically stable for x in `[-1, 1]` at least up to order `10000`.

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.